明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 463|回复: 18

[提问] 求制作lisp:文字跟随着鼠标随意移动

[复制链接]
发表于 2019-9-8 08:08 | 显示全部楼层 |阅读模式
本帖最后由 mokson 于 2019-9-8 10:48 编辑

好像web的网页特效一样,求高手写这样的一个lisp,让文字跟随着鼠标在绘图区域随意移动,
不是 move 命令呀,要求在不执行任何命令的状态下也能实现的,
用js代码我会,但不会写lisp,谢谢。






本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x

本帖被以下淘专辑推荐:

发表于 2019-9-8 08:21 来自手机 | 显示全部楼层
猫老师教程就有
发表于 2019-9-8 09:12 | 显示全部楼层
具体用途是什么啊?
发表于 2019-9-8 09:35 | 显示全部楼层
本帖最后由 Andyhon 于 2019-9-8 10:56 编辑

;;; ability to drag an move a vla object
;;; msg: optional message by default uses "Move"
(defun drag-move (msg vla_obj / take code5 p3)
   (prompt
     (strcat
       "\n"
       (cond (msg) ("Move"))
       "\n"
     )
   )
   (while (and (setq take (grread 't)) (/= 3 (car take)))
     (setq code5 (car take))
     (setq p3 (cadr take))
     (if (and p3 (= 5 code5))
       (vla-move
         vla_obj
         (vla-get-insertionpoint vla_obj)
         (vlax-3d-point p3)
       )
     )
   )
)

info:
https://www.cadtutor.net/forum/t ... ut-data-extraction/
 楼主| 发表于 2019-9-8 10:34 | 显示全部楼层
本帖最后由 mokson 于 2019-9-9 07:59 编辑
注册 发表于 2019-9-8 09:12
具体用途是什么啊?

尽显与众不同,用来装逼呀,你不知道吗。
 楼主| 发表于 2019-9-8 10:37 | 显示全部楼层
本帖最后由 mokson 于 2019-9-8 10:42 编辑
Andyhon 发表于 2019-9-8 09:35
;;; ability to drag an move a vla object
;;; msg: optional message by default uses "Move"
((defun  ...

; 错误: 输入的列表有缺陷,
不知道如何使用呀?
发表于 2019-9-8 11:02 | 显示全部楼层
(drag-move "Move" (vlax-ename->vla-object (car (entsel))))
发表于 2019-9-8 11:16 来自手机 | 显示全部楼层
了解下dynamicwrraper,就是功能太强,容易被杀毒
发表于 2019-9-8 19:34 | 显示全部楼层
论坛里有,多搜索
发表于 2019-9-8 20:58 来自手机 | 显示全部楼层
用copy或则建成块呀
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2019-9-20 05:43 , Processed in 0.210096 second(s), 30 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表